#!/bin/bash


# Function to wait for any user input. Great when run via "double clicking"
# avoids the window from closing right away.
pause() {
    echo "Press any key to continue."
    read -n 1 -s
}

SCRIPT_PATH=`dirname "${0}"`

# move here so that the server runs from here!
cd "${SCRIPT_PATH}"


# It converts any "aiff" file to mp3. Adjust this line to accept other
# source formats.
for FILE in $(find . -iname "*.m4a"); do
    
    NAME="${FILE%.*}"
    OUT="${NAME}.mp3"
    echo "Processing ${FILE} into ${OUT}"
  
    # -ac 1 // Indicates number of output channels
    
    # We use mp3... because it works.
    ffmpeg -y -i ${FILE} -f mp3 -acodec libmp3lame -ab 192000 -ar 44100 -ac 1 ${OUT}
done

pause
