//////////////////////////////////////////////////////////////////////////////////
//  Flat.fsh
//  Simple 3D model drawing fragment shader
//
//  Created by Bojan Endrovski on 23/09/2010.
//  Copyright Bojan Endrovski 2010. All rights reserved.
//////////////////////////////////////////////////////////////////////////////////


// From vertex shader to fragment
varying mediump vec2    v_texture;
varying lowp    vec3    v_color;
varying mediump float   v_intesity;

// Constants (aka uniforms)
uniform sampler2D       s_texture;      // Texture sampler
uniform sampler2D       s_gradient;     // Gradient sampler

void main()
{
    // Get intesity from the gradient
    mediump vec3 intesity = texture2D(s_gradient, vec2(1.0 - v_intesity, 0.0)).rgb;
    
    //mediump vec3 intesity = vec3(v_intesity, v_intesity, v_intesity);
    
    // Make the color using the gradient
    gl_FragColor = texture2D(s_texture, v_texture) * vec4(intesity, 1.0);
}
