//////////////////////////////////////////////////////////////////////////////////
//  Cell 3D drawing fragment shader
//
//  Created by Bojan Endrovski on 23/09/2010.
//  Copyright Bojan Endrovski 2010. All rights reserved.
//////////////////////////////////////////////////////////////////////////////////


// From vertex shader to fragment
varying mediump vec2  v_texture;
varying lowp float    v_intesity;

// Constants (aka uniforms)
uniform sampler2D s_texture;        // This is the intesity gradient
uniform mediump float u_time;         // Ambient color

void main()
{
    //gl_FragColor = colorVarying;
    
    mediump vec2 tex = v_texture;
    tex.x *= 3.0;
    tex.x -= u_time;
    
    mediump vec4 clr = texture2D(s_texture, tex);
    
    if(clr.a < 0.05)
        discard;
    
    gl_FragColor = clr;
}
